# class RSS::BaseParser

### Public Class Methods

new(rss) click to toggle source

    # File lib/rss/parser.rb, line 156
    def initialize(rss)
      @listener = self.class.listener.new
      @rss = rss
    end

raise_for_undefined_entity?() click to toggle source

    # File lib/rss/parser.rb, line 151
    def raise_for_undefined_entity?
      listener.raise_for_undefined_entity?
    end

### Public Instance Methods

do_validate() click to toggle source

    # File lib/rss/parser.rb, line 173
    def do_validate
      @listener.do_validate
    end

do_validate=(new_value) click to toggle source

    # File lib/rss/parser.rb, line 177
    def do_validate=(new_value)
      @listener.do_validate = new_value
    end

ignore_unknown_element() click to toggle source

    # File lib/rss/parser.rb, line 165
    def ignore_unknown_element
      @listener.ignore_unknown_element
    end

ignore_unknown_element=(new_value) click to toggle source

    # File lib/rss/parser.rb, line 169
    def ignore_unknown_element=(new_value)
      @listener.ignore_unknown_element = new_value
    end

parse() click to toggle source

    # File lib/rss/parser.rb, line 181
    def parse
      if @listener.rss.nil?
        _parse
      end
      @listener.rss
    end

rss() click to toggle source

    # File lib/rss/parser.rb, line 161
    def rss
      @listener.rss
    end